{ pkgs, ...}:
{
  # ollama server for local large language models.
  services.ollama = {
    enable = true;
    loadModels = [
      # https://ollama.com/library/deepseek-r1
      "deepseek-r1:32b"
    ];
  };

  # User-friendly AI Interface (Supports Ollama, OpenAI API, ...).
  #
  # https://docs.openwebui.com/getting-started/quick-start
  # Admin Creation: The first account created on Open WebUI gains Administrator privileges, controlling user management and system settings.
  services.open-webui.enable = true;
}
